(define (domain one-arm-robot_domain)
  (:requirements :strips)
  (:predicates 
    (cup ?x)
    (pos ?x)
    (at ?x ?y)
    (empty ?x)
    (gripper ?x)
  )
  (:action movegripper
    :parameters (?gripper ?from ?to)
    :precondition (and (gripper ?gripper) (at ?gripper ?from) (pos ?from) (pos ?to))
    :effect (and (at ?gripper ?to)
      (not (at ?gripper ?from)))
  )
  (:action movecup
    :parameters (?gripper ?cup ?from ?to)
    :precondition (and (gripper ?gripper) (cup ?cup) (pos ?from) (pos ?to) (at ?gripper ?from) (at ?cup ?from) (empty ?to))
    :effect (and (at ?gripper ?to) (at ?cup ?to) (empty ?from)
      (not (at ?gripper ?from)) (not (at ?cup ?from)) (not (empty ?to)))
  )
)